SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Dns::SrvRecord Struct Reference

A DNS SRV record. More...

`#include <SFML/Network/Dns.hpp>`

## Public Attributes
sf::String | target
| The domain name of the target host.
std::uint16_t | port {}
| The port on the target host of the service.
std::uint16_t | weight {}
| Server selection mechanism, larger weights should be given a proportionately higher probability of being selected.
std::uint16_t | priority {}
| The priority of the target host, a client must attempt to contact the target host with the lowest-numbered priority it can reach.

## Detailed Description

A DNS SRV record.

Definition at line 107 of file Dns.hpp.

## Member Data Documentation

## ◆ port

std::uint16_t sf::Dns::SrvRecord::port {}

The port on the target host of the service.

Definition at line 110 of file Dns.hpp.

## ◆ priority

std::uint16_t sf::Dns::SrvRecord::priority {}

The priority of the target host, a client must attempt to contact the target host with the lowest-numbered priority it can reach.

Definition at line 112 of file Dns.hpp.

## ◆ target

sf::String sf::Dns::SrvRecord::target

The domain name of the target host.

Definition at line 109 of file Dns.hpp.

## ◆ weight

std::uint16_t sf::Dns::SrvRecord::weight {}

Server selection mechanism, larger weights should be given a proportionately higher probability of being selected.

Definition at line 111 of file Dns.hpp.

The documentation for this struct was generated from the following file:

- Dns.hpp